package com.dev.swms.server.service.rule;

import java.util.List;
import java.util.Map;

import org.springframework.transaction.annotation.Transactional;

import com.dev.swms.server.model.rules.PutRackRule;

@Transactional (readOnly=true)
public interface PutRackRuleManager {
	@Transactional
	public void storePurRackRule(PutRackRule putRackRule,String LP);
	
	@Transactional
	public void deletePutRackRule(List<Long> ids);
	
	@Transactional
	public void deletePutRackRule(Map params);
	
	Map getPutRackRuleByWareHouseId(Map param);
	
	Map getBillTypeByCompanyId(Map param);
	
	Map getPutRackRules(Map param);
}
